3

I used arabluatex to produce arabic text.

I get this in overleaf and in my PC (windows 8.1 MiKTeX 2.9) :

enter image description here

enter image description here

Any advice ?

This is my MWE

\documentclass[12pt]{article}
\usepackage{xcolor}

\usepackage{arabluatex}
\newfontfamily\arabicfont{Amiri}[Script=Arabic]

\begin{document}
text before...
\begin{arab}[fullvoc]
\arbcolor[red]{al-_tuqUbu 'l-sawdA'u} fI 'l-fIzyA'i.
\end{arab}
\end{document}
8
  • 1
    Maybe Overleaf, Papeeria, LaTeXBase have not loaded automatically: ! LaTeX Error: File arabluatex.sty not found.
    – Sebastiano
    Apr 2, 2019 at 8:08
  • 2
    Overleaf uses TeX Live 2017, which has an old version of arabluatex where \arbcolor is not defined. The support team of Overleaf wrote me “we do plan to upgrade to TeX Live 2018 some time this year”. Too bad.
    – egreg
    Apr 2, 2019 at 9:05
  • 1
    To workaround the outdated package version on overleaf, you could manually upload all the required files to your project folder. The readme from ctan.org/tex-archive/macros/luatex/latex/arabluatex contains a list of the necessary steps for manual installation Apr 2, 2019 at 9:09
  • 1
    @egreg If one uploads enough files to overleaf it works* :) overleaf.com/read/mtgktdqdjhcx (will be a nightmare to keep updated...) [* with "works" I mean it compiles, no idea if the output makes sense or not] Apr 3, 2019 at 8:56
  • 1
    @Haouam It would be great if you write an answer then accept it to help decrease the number of unanswered questions.
    – Diaa
    Apr 5, 2019 at 19:27

1 Answer 1

2

BACKGROUND:

Overleaf tracks the stable Ubuntu releases of TeXLive, and they would usually keep more up to date with with these releases, but due to the merger of Overleaf and ShareLaTeX over the past year they have had to delay the upgrade of the compiler image. Currently, TeXLive 2017 is run on all newly created projects (existing projects use the compiler image from their time of creation to prevent conflicts), and they will be introducing TeXLive 2018 in the coming weeks. (last updated 15th Aug 2019)

SOLUTION (WORK-AROUND):

  1. Download the following files from the required package for arabluatex from the TeX Live Development Sources (link):

    • arabluatex-patch.sty
    • arabluatex.lua
    • arabluatex.sty
    • arabluatex_fullvoc.lua
    • arabluatex_novoc.lua
    • arabluatex_trans.lua
    • arabluatex_voc.lua
  2. Some additional updated dependencies are required (visible by looking at the error log). Download the following files from the Tex Live Development Sources:

    • expl3.sty
    • expl3-code.tex
    • fontspec-luatex.sty
    • l3backend-pdfmode.def
    • xparse.sty
  3. Upload all files to the root directory at your Overleaf project, run your MWE and you're all done!

enter image description here

PS. This solution is a work-around and should only be used until Overleaf update to TeXLive 2018.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.